#!/usr/bin/python
# -*- coding: utf-8 -*-

import sys

from . import ftdibase


class FTDI(ftdibase.FTDIBase):
    #########################################################
    def __init__(self):
        super(FTDI, self).__init__()
        self.__initialize(True)

    #########################################################
    def __initialize(self, parentRun=False):
        if parentRun == True:
            super(FTDI, self)._FTDIBase__initialize()

    #########################################################
    @staticmethod
    def OpenDeviceByIndex(index):
        object0 = FTDI()
        object0.OpenByIndex(index)
        object0.GetDeviceInfoList()
        return object0

    #########################################################
    @staticmethod
    def OpenDeviceBySerialNumber(serialnumber):
        object0 = FTDI()
        object0.OpenBySerialNumber(serialnumber)
        object0.GetDeviceInfoList()
        return object0
